local BrothelSystemMod = foundation.createMod();



-- Buildings (brothel)
BrothelSystemMod:dofile("scripts/brothel/building.lua")

-- Jobs
BrothelSystemMod:dofile("scripts/jobs.lua")



-- Override default Labour estate
BrothelSystemMod:override({
	Id = "LABOUR",
	EstateProgressList = { -- Add a new estate progress tier
		Action = "APPEND",
		{
			DataType = "ESTATE_PROGRESS_TIER",
			SplendorRequired = 0,
			VillagerStatusRequired = { Status = "SERF", Quantity = 0 },
			UpgradeList = {
				"UNLOCKABLE_BROTHEL"
			}
		}
	}
})
